KOPANO-CLI(8)

NAME
kopano-cli - The Kopano Command-line Interface

SYNOPSIS

kopano-cli [OPTION...]

DESCRIPTION

Kopano-cli is used to manage a Kopano server (cluster), including users, stores, groups and companies. This includes listing/creation/deletion of objects, and changing settings such as quota limits, delegation, out-of-office settings and store and folder-level permissions.

OPTIONS

--active {yes|no}
    Change or specify if user is active. Should be combined with --user (and, optionally, --create).

--add-admin NAME
    Add specified user as "remote-admin" for company specified with --company.

--add-company-quota-recipient NAME
    Add specified user to companyquota recipients for company specified with --company.

--add-delegation NAME
    Add specified delegation (flags) to user specified with --user. The syntax to be used for delegation (flags) is 'user:flag1,flag2,..' where 'user' is a user name, and flags are optionally chosen from the following: see_private, send_copy. The first means that delegates can see private items, and the second that meeting requests and responses are also sent to the delegates.

--add-feature NAME
    Enable specified feature for user specified with --user.

--add-permission NAME
    Add specified permissions to store of user specified with --user. Can be used with --folder to add permissions for a specific folder. The syntax to be used for permissions is 'member:right1,right..', where 'member' is a group or user name, and rights are chosen from the following: read_items, create_items, create_subfolders, edit_own, edit_all, delete_own, delete_all, folder_owner, folder_contact and folder_visible. So for example, to add certain permissions to the inbox of a user 'user2', to the inbox of user 'user1': --user user1 --folder Inbox --add-permission user2:read_items,folder_visible. The colon is optional.

--add-sendas NAME
    Allow specified user to "send as" user specified with --user.

--add-userquota-recipient NAME
    Add specified user to userquota recipients for company specified with --company.

--add-view NAME
    Add specified company as remote-viewer of address book.

--add-user NAME
    Add specified user to group specified with --group.

--admin NAME
    Make specified user administrator of company specified with --company.

--admin-level N
    Change or specify admin level for user specified with --user. A value of 1 means the user is an administrator, and 2 means the user is a system administrator.

--clear-cache
    Clear all server caches.

--company, -C NAME
    Specify company. Without further arguments, this will show information about the given company. Can also be used in combination with e.g. --list-users.

--config, -c FILE
    Load configuration settings from specified file.

--create
    Create object. Must be combined with --user, --group or --company. Can be combined with options such as --fullname, --email and --password. Note that this does not work with an external source such as LDAP.

--create-store
    Create and hook store. Without further arguments, a public store is created for the current company or server. Can be used in combination with --company (to create a company public store) and --user (to create a user store).

--debug
    Enable debug mode, meaning full tracebacks are shown in addition to error messages.

--delete
    Delete object. Must be combined with --user, --group or --company. Note that this does not work with an external source such as LDAP.

--email NAME
    Change or specify object email address. Can be used with --user or --group (and, optionally, --create).

--folder, -f PATH
    Specify folder. Can be used in combination with e.g. --add-permission, to add permissions for a specific folder. --recursive.

--fullname NAME
    Change or specify object full name. Can be used with --user, --group or --company (and, optionally, --create).

--group, -G NAME
    Specify group. Without further arguments, this will show information about the given group. Can also be used in combination with e.g. --list-users.

--hook-store GUID
    Hook store with specified GUID. Without further arguments, this will hook the public store. Can be used in combination with --company (to hook the public store) and --user (to hook the user store).

--hook-archive GUID
    Hook archive store with specified GUID. Should be used in combination with --user.

--lang LANG
    Specify language in which new stores are created, determining e.g. the name of the inbox.

--mr-accept {yes|no}
    Change or specify if meeting requests are automatically accepted (by script specified in dagent.cfg). Should be combined with --user.

--mr-accept-conflicts {yes|no}
    Change or specify if overlapping meeting requests are automatically declined by accept script. Should be combined with --user.

--mr-accept-recurring {yes|no}
    Change or specify if recurring meeting requests are automatically declined by accept script. Should be combined with --user.

--list-users
    List users. Without further arguments, this will list all users. Can also be used in combination with e.g. --company and --group.

--list-groups
    List groups. Without further arguments, this will list all groups. Can also be used in combination with e.g. --company.

--list-companies
    List companies.

--list-orphans
    List orphans, meaning stores that are currently not hooked to a user or public store.

--name NAME
    Change or specify object name. Can be used with --user, --group or --company (and, optionally, --create).

--ooo {yes|no}
    Enable or disable out-of-office replies for user specified with --user.

--ooo-clear
    Clear out-of-office settings for user specified with --user.

--ooo-subject NAME
    Change or specify out-of-office subject for user specified with --user.

--ooo-message PATH
    Change or specify out-of-office message for user specified with --user, by specifying a file containing the message.

--ooo-from NAME
    Change or specify out-of-office from date for user specified with --user.

--ooo-until NAME
    Change or specify out-of-office until date for user specified with --user.

--password NAME
    Change or specify user password. Should be used in combination with --user (and, optionally, --create).

--password-prompt
    Change or specify user password via prompt. Should be used in combination with --user (and, optionally, --create).

--purge-softdelete N
    Purge items marked as softdeleted more than N days ago.

--purge-deferred
    Purge all items in the deferred update table.

--quota-override {yes|no}
    Override server quota limits for user specified with --user or company specified with --company.

--quota-hard N
    Change or specify hard quota limit at specified number of megabytes (MB). Should be used with --user or --company.

--quota-soft N
    Change or specify soft quota limit at specified number of megabytes (MB). Should be used with --user or --company.

--quota-warn N
    Change or specify warn quota limit at specified number of megabytes (MB). Should be used with --user or --company.

--remove-store GUID
    Remove orphaned store with specified GUID.

--remove-admin NAME
    Remove specified user as "remote-admin" for company specified with --company.

--remove-company-quota-recipient NAME
    Remove specified user from companyquota recipients for company specified with --company.

--remove-delegation NAME
    Remove delegation (flags) for user specified with --user. The syntax to be used is described for the --add-delegation option.

--remove-feature NAME
    Disable specified feature for user specified with --user.

--remove-permission NAME
    Remove specified permissions to store of user specified with --user. Can be used with --folder to remove permissions for a specific folder. The syntax to be used for permissions is described for the --add-permission option.

--remove-sendas NAME
    Disallow specified user to "send as" user specified with --user.

--remove-userquota-recipient NAME
    Remove specified user from userquota recipients for company specified with --company.

--remove-view NAME
    Remove specified company as remote-viewer of address book.

--remove-user NAME
    Remove specified user from group specified with --group.

--reset-folder-count
    Reset folder counts for all folders of user given with --user.

--send-only-to-delegates {yes|no}
    When sending meeting requests and responses to delegates, only send them to the delegates.

--server-socket, -s SOCKET
    Connect to storage server through specified socket.

--ssl-key, -k FILE
    Specify SSL key file.

--ssl-pass, -p PASSWORD
    Specify SSL key password.

--store, -S GUID
    Specify store. To specify a public store, use "public" or "public@companyname".

--sync
    Synchronize users, groups and companies with external source (such as LDAP).

--unhook-archive
    Unhook archive store. Should be combined with --user.

--unhook-store
    Unhook store. Without further arguments, the public store is unhooked. Can be used in combination with --company (to unhook the public store) or --user (to unhook the user store).

--user, -u NAME
    Specify user. Without further arguments, this will show information about the given user.

--user-count
    Output user statistics, such as active and non-active users and total user count.

EXAMPLES

To create a new user:

kopano-cli --create -u john --fullname "john doe" --password john --email john@doe.com

To modify the password and e-mail address:

kopano-cli -u john --password john --email john@doe.com

To set out of office for a user:

kopano-cli -u john --ooo-active yes --ooo-subject "On vacation" --ooo-message /etc/kopano/ooo/vacation.html

To delete a user:

kopano-cli --delete -u john

To set permission on a calendar folder:

kopano-cli -u john --folder Calendar --add-permission everyone:read_items,folder_visible

To set permission on a store:

kopano-cli -u john --add-permission joe:read_items,folder_visible